"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _types = require("@babel/types");

var _helperPluginUtils = require("@babel/helper-plugin-utils");

var _utils = require("./utils");

const BABEL_VERSION = 7;

var _default = (0, _helperPluginUtils.declare)((api, options) => {
  api.assertVersion(BABEL_VERSION);
  return {
    visitor: {
      ImportDeclaration(path) {
        const node = path.node;

        if ((0, _types.isImportDeclaration)(node)) {
          const specifiers = node.specifiers;
          const value = node.source.value; // 处理类 import style from './a.less'; 样式文件

          if (specifiers.length && (0, _utils.isStyleFilePath)(value)) {
            node.source.value = (0, _utils.getStyleFilePath)(value);
          }
        }
      },

      Identifier(path) {
        if (path.node.name === 'foo') {
          path.node.name = 'bar';
        }
      }

    }
  };
});

exports.default = _default;