"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isStyleFilePath = isStyleFilePath;
exports.getStyleFilePath = getStyleFilePath;

var _qs = _interopRequireDefault(require("qs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 判断当前路径是否是样式文件路径
 * @param filePath
 */
function isStyleFilePath(filePath) {
  return /\.(css|less|sass|scss)/.test(filePath);
}
/**
 *
 * @param filePath
 */


function getStyleFilePath(filePath) {
  const items = filePath.split('/');

  if (items && items.length) {
    const fileName = items[items.length - 1]; // 处理已包含查询查询的情况

    if (fileName.includes('?')) {
      const fileNameItems = fileName.split('?');

      const queryData = _qs.default.parse(fileNameItems[1]);

      queryData.cssModules = '';
      fileNameItems[1] = _qs.default.stringify(queryData);
      items[items.length - 1] = `${fileNameItems.join('?')}`;
      const newPath = items.join('/');
      return newPath.substring(0, newPath.length - 1);
    } else {
      items[items.length - 1] = `${fileName}?cssModules`;
      return items.join('/');
    }
  }

  return filePath;
}